<template>
  <!-- 修改销售订单车次信息 -->
  <div id="contractDetails">
    <page-title>编辑</page-title>
    <div class="main">
      <span class="text">销售订单车次信息</span>
      <span class="a"></span>
    </div>
    <div class="contractTitle">
      <div class="form-box">
        <div class="form-one">
          <dil-form :formId="285" v-model="form1"></dil-form>
        </div>
      </div>
    </div>

    <div class="button-box">
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
      <el-button @click="onClickCancel">返回</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";

export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
    };
  },
  mounted() {
    this.information();
  },
  methods: {
    information() {
      //编辑
      this.axios
        .post(
          "api/v1/ams/getAmsSaleOrderMaterialBySaleOrderMaterialId?saleOrderMaterialId=" +
            this.$route.params.saleOrderMaterialId
        )
        .then((res) => {
          res.data.data.forEach((e) => {
            this.form1 = e;
          });
        });
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    // 确认
    onClickConfirm() {
      let amsSaleOrderMaterial = {
        saleOrderMaterialId: this.$route.params.saleOrderMaterialId,
        saleShippingAddress: this.form1.saleShippingAddress,
        saleDateOfReceipt: sjTime(this.form1.saleDateOfReceipt),
        saleOrderConsignee: this.form1.saleOrderConsignee,
        saleOrderConsigneeTel: this.form1.saleOrderConsigneeTel,
      };
      if (
        amsSaleOrderMaterial.saleShippingAddress == null ||
        amsSaleOrderMaterial.saleDateOfReceipt == null ||
        amsSaleOrderMaterial.saleOrderConsignee == null ||
        amsSaleOrderMaterial.saleOrderConsigneeTel == null
      )
        this.$message.error("必填项存在空值！");
      else
        this.axios
          .post(
            "/api/v1/ams/updateAmsSaleOrderMaterial",
            amsSaleOrderMaterial
          )
          .then((res) => {
            if (res.data.code == "200") {
              this.$router.go(-1);
            }
          });
    },
  },
};
</script>
<style lang="scss" scoped>

</style>